Bug 180791 - Umbrello crashes sometimes on Mac OX (no fink packages) when you are saving a document
Summary: Umbrello crashes sometimes on Mac OX (no fink packages) when you are saving a...
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Other
: NOR crash (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-15 10:58 UTC by Luis Quintela
Modified: 2010-01-21 18:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Quintela 2009-01-15 10:58:48 UTC
Version:           2.1.2 (using KDE 4.1.2)
Compiler:          gcc-4.2 
OS:                OS X
Installed from:    Unspecified Other

my KDE for Mac isn't from fink or macports but KDE from http://mac.kde.org

OS: Darwin (i386) release 8.11.1

Report of Mac OX:

Date/Time:      2009-01-15 10:14:37.166 +0100
OS Version:     10.4.11 (Build 8S2167)
Report Version: 4

Command: umbrello
Path:    /Applications/KDE4/umbrello.app/Contents/MacOS/umbrello
Parent:  WindowServer [83]

Version:  ()

PID:    340
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000010

Thread 0 Crashed:
0   QtCore             	0x01313eb3 QObject::~QObject [in-charge deleting]() + 35
1   libkdecore.5.dylib 	0x01532ede void qDeleteAll<QList<KJob*>::const_iterator>(QList<KJob*>::const_iterator, QList<KJob*>::const_iterator) + 46
2   libkdecore.5.dylib 	0x01532a9c KCompositeJobPrivate::~KCompositeJobPrivate [not-in-charge]() + 76
3   libkio.5.dylib     	0x01b8d8e7 KIO::FileCopyJobPrivate::~FileCopyJobPrivate [in-charge deleting]() + 151
4   libkdecore.5.dylib 	0x01533a86 KJob::~KJob [not-in-charge]() + 86
5   libkio.5.dylib     	0x01b78ef8 KIO::FileCopyJob::~FileCopyJob [in-charge deleting]() + 40
6   QtCore             	0x0130e1be QObject::event(QEvent*) + 1054
7   QtGui              	0x025b693f QApplicationPrivate::notify_helper(QObject*, QEvent*) + 191
8   QtGui              	0x025bd119 QApplication::notify(QObject*, QEvent*) + 169
9   libkdeui.5.dylib   	0x0184f733 KApplication::notify(QObject*, QEvent*) + 147
10  QtCore             	0x012fdab1 QCoreApplication::notifyInternal(QObject*, QEvent*) + 145
11  QtCore             	0x012feab6 QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) + 694
12  QtGui              	0x02617acb QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 123
13  QtCore             	0x012fccb1 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 65
14  QtCore             	0x012fcfda QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 154
15  QtCore             	0x012fed89 QCoreApplication::exec() + 169
16                     	0x00321d7d main + 2797
17                     	0x0000a5f2 _start + 216
18                     	0x0000a519 start + 41

Thread 1:
0   libSystem.B.dylib  	0x90019d0c select + 12
1   QtCore             	0x01218a6b QThreadPrivate::start(void*) + 203
2   libSystem.B.dylib  	0x90023d67 _pthread_body + 84

Thread 2:
0   libSystem.B.dylib  	0x90019d0c select + 12
1   libSystem.B.dylib  	0x90023d67 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x01454f08  ebx: 0x01313e9e  ecx: 0x00000000  edx: 0x1d099410
  edi: 0xbffff55c  esi: 0xbffff558  ebp: 0xbffff518  esp: 0xbffff4a0
   ss: 0x0000001f  efl: 0x00010202  eip: 0x01313eb3   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

Binary Images Description:
    0x1000 -   0x491fff  	/Applications/KDE4/umbrello.app/Contents/MacOS/umbrello
  0x678000 -   0x687fff libz.1.dylib 	/opt/local/lib/libz.1.dylib
  0x68c000 -   0x6cafff libsolid.4.dylib 	/opt/local/lib/libsolid.4.dylib
  0x6f8000 -   0x756fff libkfile.4.dylib 	/opt/local/lib/libkfile.4.dylib
  0x791000 -   0x7c0fff libkparts.4.dylib 	/opt/local/lib/libkparts.4.dylib
  0x7df000 -   0x7e8fff libkpty.4.dylib 	/opt/local/lib/libkpty.4.dylib
  0x7ee000 -   0x7f5fff libintl.8.dylib 	/opt/local/lib/libintl.8.dylib
 0x1008000 -  0x1054fff QtXml 	/opt/local/Library/Frameworks/QtXml.framework/Versions/4/QtXml
 0x1075000 -  0x10a1fff libxslt.1.dylib 	/opt/local/lib/libxslt.1.dylib
 0x10aa000 -  0x10d2fff libstreams.0.dylib 	/opt/local/lib/libstreams.0.dylib
 0x10e3000 -  0x10f1fff libbz2.1.0.dylib 	/opt/local/lib/libbz2.1.0.dylib
 0x1205000 -  0x142efff QtCore 	/opt/local/Library/Frameworks/QtCore.framework/Versions/4/QtCore
 0x14b5000 -  0x1698fff libkdecore.5.dylib 	/opt/local/lib/libkdecore.5.dylib
 0x175f000 -  0x19dffff libkdeui.5.dylib 	/opt/local/lib/libkdeui.5.dylib
 0x1b2f000 -  0x1d38fff libkio.5.dylib 	/opt/local/lib/libkio.5.dylib
 0x1e27000 -  0x2026fff Qt3Support 	/opt/local/Library/Frameworks/Qt3Support.framework/Versions/4/Qt3Support
 0x2106000 -  0x21a1fff libkde3support.4.dylib 	/opt/local/lib/libkde3support.4.dylib
 0x2207000 -  0x2309fff libxml2.2.dylib 	/opt/local/lib/libxml2.2.dylib
 0x2337000 -  0x2373fff QtSvg 	/opt/local/Library/Frameworks/QtSvg.framework/Versions/4/QtSvg
 0x2391000 -  0x23f6fff libstreamanalyzer.0.dylib 	/opt/local/lib/libstreamanalyzer.0.dylib
 0x241f000 -  0x24e6fff QtNetwork 	/opt/local/Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork
 0x2532000 -  0x2583fff QtDBus 	/opt/local/Library/Frameworks/QtDBus.framework/Versions/4/QtDBus
 0x25a6000 -  0x2c71fff QtGui 	/opt/local/Library/Frameworks/QtGui.framework/Versions/4/QtGui
 0x2eba000 -  0x2f98fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
 0x2fc4000 -  0x2ff2fff libdbus-1.3.dylib 	/opt/local/lib/libdbus-1.3.dylib
 0x3002000 -  0x30f9fff libiconv.2.dylib 	/opt/local/lib/libiconv.2.dylib
 0x3106000 -  0x3125fff libpng12.0.dylib 	/opt/local/lib/libpng12.0.dylib
 0x312c000 -  0x3156fff QtSql 	/opt/local/Library/Frameworks/QtSql.framework/Versions/4/QtSql
0x18370000 - 0x18378fff kimg_dds.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_dds.so
0x1837d000 - 0x18385fff kimg_eps.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_eps.so
0x1838a000 - 0x18392fff kimg_exr.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_exr.so
0x18397000 - 0x18399fff libImath.6.dylib 	/opt/local/lib/libImath.6.dylib
0x1839e000 - 0x183a6fff libIex.6.dylib 	/opt/local/lib/libIex.6.dylib
0x183b1000 - 0x183f2fff libHalf.6.dylib 	/opt/local/lib/libHalf.6.dylib
0x183f6000 - 0x183f8fff libIlmThread.6.dylib 	/opt/local/lib/libIlmThread.6.dylib
0x183fe000 - 0x18405fff kimg_jp2.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_jp2.so
0x18435000 - 0x184c5fff libIlmImf.6.dylib 	/opt/local/lib/libIlmImf.6.dylib
0x184f3000 - 0x1852bfff libjasper.1.dylib 	/opt/local/lib/libjasper.1.dylib
0x18546000 - 0x18561fff libjpeg.62.dylib 	/opt/local/lib/libjpeg.62.dylib
0x18568000 - 0x18570fff kimg_pcx.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_pcx.so
0x18575000 - 0x1857bfff kimg_psd.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_psd.so
0x18580000 - 0x18589fff kimg_rgb.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_rgb.so
0x1858f000 - 0x18595fff kimg_tga.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_tga.so
0x1859a000 - 0x185a0fff kimg_xview.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_xview.so
0x19424000 - 0x19433fff kimg_xcf.so 	/opt/local/lib/kde4/plugins/imageformats/kimg_xcf.so
0x1943d000 - 0x19443fff libqgif.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqgif.bundle
0x19448000 - 0x1944efff libqico.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqico.bundle
0x19453000 - 0x1945bfff libqjpeg.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqjpeg.bundle
0x19461000 - 0x19466fff libqmng.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqmng.bundle
0x1946c000 - 0x194bafff libmng.1.dylib 	/opt/local/lib/libmng.1.dylib
0x194cc000 - 0x194f3fff liblcms.1.dylib 	/opt/local/lib/liblcms.1.dylib
0x19605000 - 0x1960afff libqsvg.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqsvg.bundle
0x1960f000 - 0x19614fff libqtiff.bundle 	/opt/local/lib/qt4-mac-plugins/imageformats/libqtiff.bundle
0x19619000 - 0x19664fff libtiff.3.dylib 	/opt/local/lib/libtiff.3.dylib
0x198ee000 - 0x19910fff libqtaccessiblewidgets.bundle 	/opt/local/lib/qt4-mac-plugins/accessible/libqtaccessiblewidgets.bundle
0x1992a000 - 0x19934fff libqtaccessiblecompatwidgets.bundle 	/opt/local/lib/qt4-mac-plugins/accessible/libqtaccessiblecompatwidgets.bundle
0x19c43000 - 0x19cb4fff com.DivXInc.DivXDecoder 6.2.5	/Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x8fe00000 - 0x8fe4afff dyld 46.16	/usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90284000 - 0x9034cfff com.apple.CoreFoundation 6.4.11 (368.35)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x903a3000 - 0x90649fff com.apple.CoreServices.CarbonCore 682.30	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90910000 - 0x90910fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90990000 - 0x90a0efff com.apple.DesktopServices 1.3.7	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x90a56000 - 0x90ad5fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90afe000 - 0x90b62fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bd1000 - 0x90bd8fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bdd000 - 0x90c50fff com.apple.framework.IOKit 1.4.8 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c65000 - 0x90c77fff libauto.dylib 	/usr/lib/libauto.dylib
0x90f66000 - 0x90fcefff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91059000 - 0x91069fff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x9110f000 - 0x911b8fff com.apple.QD 3.10.27 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x912ca000 - 0x912e8fff com.apple.openscripting 1.2.7 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x913d5000 - 0x913e4fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x913ee000 - 0x913f9fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x91405000 - 0x9140dfff com.apple.DiskArbitration 2.1.2	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91414000 - 0x9141bfff libbsm.dylib 	/usr/lib/libbsm.dylib
0x9141f000 - 0x91445fff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91457000 - 0x914cdfff com.apple.audio.CoreAudio 3.0.5	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151e000 - 0x9151efff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91520000 - 0x9154bfff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9166d000 - 0x916e0fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x917dd000 - 0x91828fff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91847000 - 0x9185dfff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91869000 - 0x91883fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x918de000 - 0x918eafff com.apple.speech.synthesis.framework 3.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x91a57000 - 0x91a75fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91aeb000 - 0x91aeffff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b9d000 - 0x91b9ffff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91c06000 - 0x91c43fff com.apple.LaunchServices 183	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x91ce1000 - 0x91ce1fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91ce3000 - 0x91d71fff com.apple.vImage 2.5	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d78000 - 0x91d78fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d7a000 - 0x91dd3fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91ddc000 - 0x91e00fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e08000 - 0x92211fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9224b000 - 0x925fffff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9262c000 - 0x92719fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92b24000 - 0x92b3bfff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b46000 - 0x92b9efff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb2000 - 0x92bb2fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bb4000 - 0x92bc4fff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd3000 - 0x92bdbfff com.apple.speech.recognition.framework 3.6	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92be1000 - 0x92be6fff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bec000 - 0x92c7dfff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c91000 - 0x92c94fff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92cc7000 - 0x92ccdfff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd3000 - 0x92d36fff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d5a000 - 0x92d9bfff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc2000 - 0x92dcffff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd6000 - 0x92ddbfff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x930a5000 - 0x930bbfff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x931db000 - 0x931e6fff com.apple.opengl 1.4.16	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93510000 - 0x9352dfff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x93536000 - 0x935b5fff com.apple.SearchKit 1.0.8	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x93caf000 - 0x93d2afff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d63000 - 0x93e1cfff com.apple.audio.toolbox.AudioToolbox 1.4.7	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e5f000 - 0x93e5ffff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e61000 - 0x94022fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94068000 - 0x940a9fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x940b1000 - 0x940ebfff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940f0000 - 0x94106fff com.apple.CoreVideo 1.4.2	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x94328000 - 0x94643fff com.apple.QuickTime 7.5.5 (990.7)	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x95162000 - 0x95256fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x952bd000 - 0x9536ffff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x95d3c000 - 0x95e10fff com.apple.ColorSync 4.4.11	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95ee6000 - 0x95f25fff com.apple.CFNetwork 129.24	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x96148000 - 0x9621dfff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9657a000 - 0x96590fff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96592000 - 0x965b3fff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x965c0000 - 0x965cefff libSimplifiedChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x965d6000 - 0x965e8fff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x96f46000 - 0x96f86fff com.apple.ImageIO.framework 1.5.8	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x96fa2000 - 0x97001fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x97106000 - 0x97121fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9712c000 - 0x971b4fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x971b9000 - 0x971f8fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x975ff000 - 0x97604fff com.apple.agl 2.5.9 (AGL-2.5.9)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9905d000 - 0x9a011fff com.apple.QuickTimeComponents.component 7.5.5 (990.7)	/System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x9e5e4000 - 0x9e5e4fff com.apple.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9e5e6000 - 0x9e685fff com.apple.QuickTimeImporters.component 7.5.5 (990.7)	/System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x9e6a0000 - 0x9e6bafff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9e6c0000 - 0x9ed76fff com.apple.AppKit 6.4.10 (824.48)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9f0f7000 - 0x9f32ffff com.apple.Foundation 6.4.11 (567.40)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9f441000 - 0x9f736fff com.apple.HIToolbox 1.4.10 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9f83c000 - 0x9f84afff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9f84d000 - 0x9f86bfff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9f877000 - 0x9fa16fff com.apple.security 4.5.2 (29774)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x9fb14000 - 0x9ff69fff com.apple.CoreGraphics 1.258.82 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

Model: MacBook1,1, BootROM MB11.0061.B03, 2 processors, Intel Core Duo, 1.83 GHz, 1 GB
Graphics: Intel GMA 950, GMA 950, Built-In, spdisplays_integrated_vram
Memory Module: BANK 0/DIMM0, 512 MB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 512 MB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x86), 1.4.4
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Network Service: Parallels NAT, Ethernet, en3
Network Service: AirPort, AirPort, en1
Network Service: Parallels Host-Guest, Ethernet, en2
Serial ATA Device: ST96812AS, 55.89 GB
Parallel ATA Device: MATSHITACD-RW  CW-8221
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Microsoft 3-Button Mouse with IntelliEye™, Microsoft, Up to 1.5 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
Comment 1 David Faure 2009-12-16 17:16:23 UTC
SVN commit 1062999 by dfaure:

Fix crash in ~KCompositeJobPrivate after an error happens in a TransferJob.
Fixed for: 4.4
BUG: 214100
BUG: 202091
BUG: 197289
BUG: 180791
CCBUG: 218719
CCBUG: 162285


 M  +9 -2      job.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1062999
Comment 2 David Faure 2010-01-21 18:41:47 UTC
Fix backported for 4.3.5.